<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { toRefs, ref, computed } from 'vue';
//import Tooltip from '@/components/general/Tooltip.vue';
const props = defineProps<{
    label: string,
    modelValue: boolean,
    header?: string,
    warning?: string,
    info?: string,
    infoWidth?: string
}>();
const emits = defineEmits<{
    (e: 'update:modelValue', value: boolean): void
}>();
const { modelValue } = toRefs(props);

const localModelValue = ref(computed({
    get: () => modelValue.value,
    set: (value: boolean) => emits('update:modelValue', value)
}));

</script>
<template>
    <div class="flex flex-col">
        <span v-if="header" class="flex flex-row gap-2">{{ props.header }}<Tooltip :tooltip="info" :width="infoWidth"
                v-if="info">
                <div
                    class="size-5 text-lg hover:bg-gray-100 hover:text-gray-500 p-1 rounded-full flex flex-row items-center text-center">
                    <i class="ri-information-2-line -ml-[0.2rem]"></i>
                </div>
            </Tooltip><br v-if="warning"></span>
        <div>
            <label class="flex flex-row gap-2">
                <input
                    class="w-4 h-4 my-auto checked:after:leading-4 bg-white appearance-none ring-inset ring-1 ring-gray-500  focus:border-accent1-hover transition-all duration-500 ease-in-out checked:after:ml-0.5 checked:after:block text-accent1-text shadow-sm focus:ring-1 focus:outline-0 block rounded checked:bg-accent1-default checked:after:content-['✓']"
                    type="checkbox" v-model="localModelValue">
                <span class="" v-html="label"></span>
            </label>
        </div>
        <span class="text-orange-400" v-if="warning">{{ warning }}</span>
    </div>
</template>